# ApplicationFramework
TKPShape
PBRep

# PBRep_CurveOn2Surfaces Class Reference

`#include <PBRep_CurveOn2Surfaces.hxx>`

Inheritance diagram for PBRep_CurveOn2Surfaces:

[legend]

## Public Member Functions

Standard_EXPORT | PBRep_CurveOn2Surfaces (const Handle(PGeom_Surface)&S1, const Handle(PGeom_Surface)&S2, const PTopLoc_Location &L1, const PTopLoc_Location &L2, const GeomAbs_Shape C)
Standard_EXPORT Handle_PGeom_Surface | Surface () const
Standard_EXPORT Handle_PGeom_Surface | Surface2 () const
Standard_EXPORT PTopLoc_Location | Location2 () const
Standard_EXPORT GeomAbs_Shape | Continuity () const
virtual Standard_EXPORT Standard_Boolean | IsRegularity () const
| Returns True. .
| PBRep_CurveOn2Surfaces ()
| PBRep_CurveOn2Surfaces (const Storage_stCONSTclCOM &a)
| Handle (PGeom_Surface) _CSFDB_GetPBRep_CurveOn2SurfacesmySurface() const
void | _CSFDB_SetPBRep_CurveOn2SurfacesmySurface (const Handle(PGeom_Surface)&p)
| Handle (PGeom_Surface) _CSFDB_GetPBRep_CurveOn2SurfacesmySurface2() const
void | _CSFDB_SetPBRep_CurveOn2SurfacesmySurface2 (const Handle(PGeom_Surface)&p)
const PTopLoc_Location & | _CSFDB_GetPBRep_CurveOn2SurfacesmyLocation2 () const
GeomAbs_Shape | _CSFDB_GetPBRep_CurveOn2SurfacesmyContinuity () const
void | _CSFDB_SetPBRep_CurveOn2SurfacesmyContinuity (const GeomAbs_Shape p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PGeom_Surface | mySurface
Handle_PGeom_Surface | mySurface2
PTopLoc_Location | myLocation2
GeomAbs_Shape | myContinuity

## Constructor & Destructor Documentation

Standard_EXPORT PBRep_CurveOn2Surfaces::PBRep_CurveOn2Surfaces | ( | const Handle(PGeom_Surface)& | S1,
|  | const Handle(PGeom_Surface)& | S2,
|  | const PTopLoc_Location & | L1,
|  | const PTopLoc_Location & | L2,
|  | const GeomAbs_Shape | C
| ) |

PBRep_CurveOn2Surfaces::PBRep_CurveOn2Surfaces | ( |  | ) | `[inline]`

PBRep_CurveOn2Surfaces::PBRep_CurveOn2Surfaces | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

GeomAbs_Shape PBRep_CurveOn2Surfaces::_CSFDB_GetPBRep_CurveOn2SurfacesmyContinuity | ( |  | ) | const`[inline]`

const PTopLoc_Location& PBRep_CurveOn2Surfaces::_CSFDB_GetPBRep_CurveOn2SurfacesmyLocation2 | ( |  | ) | const`[inline]`

void PBRep_CurveOn2Surfaces::_CSFDB_SetPBRep_CurveOn2SurfacesmyContinuity | ( | const GeomAbs_Shape | p | ) | `[inline]`

void PBRep_CurveOn2Surfaces::_CSFDB_SetPBRep_CurveOn2SurfacesmySurface | ( | const Handle(PGeom_Surface)& | p | ) | `[inline]`

void PBRep_CurveOn2Surfaces::_CSFDB_SetPBRep_CurveOn2SurfacesmySurface2 | ( | const Handle(PGeom_Surface)& | p | ) | `[inline]`

Standard_EXPORT GeomAbs_Shape PBRep_CurveOn2Surfaces::Continuity | ( |  | ) | const

Standard_EXPORT const PBRep_CurveOn2Surfaces::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PBRep_CurveRepresentation.

PBRep_CurveOn2Surfaces::Handle | ( | PGeom_Surface |  | ) | const`[inline]`

PBRep_CurveOn2Surfaces::Handle | ( | PGeom_Surface |  | ) | const`[inline]`

virtual Standard_EXPORT Standard_Boolean PBRep_CurveOn2Surfaces::IsRegularity | ( |  | ) | const`[virtual]`

| Reimplemented from PBRep_CurveRepresentation.

Standard_EXPORT PTopLoc_Location PBRep_CurveOn2Surfaces::Location2 | ( |  | ) | const

Standard_EXPORT Handle_PGeom_Surface PBRep_CurveOn2Surfaces::Surface | ( |  | ) | const

Standard_EXPORT Handle_PGeom_Surface PBRep_CurveOn2Surfaces::Surface2 | ( |  | ) | const

## Field Documentation

GeomAbs_Shape PBRep_CurveOn2Surfaces::myContinuity `[private]`

PTopLoc_Location PBRep_CurveOn2Surfaces::myLocation2 `[private]`

Handle_PGeom_Surface PBRep_CurveOn2Surfaces::mySurface `[private]`

Handle_PGeom_Surface PBRep_CurveOn2Surfaces::mySurface2 `[private]`

The documentation for this class was generated from the following file:

- PBRep_CurveOn2Surfaces.hxx